Make an interbank transfer
curl --request POST \
--url https://{host}/v1/transfers/interbank \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"account_number": "<string>",
"amount_minor": 2500000,
"beneficiary_bank_code": "<string>",
"beneficiary_account_number": "<string>",
"beneficiary_account_name": "<string>",
"narration": "<string>"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_number: '<string>',
amount_minor: 2500000,
beneficiary_bank_code: '<string>',
beneficiary_account_number: '<string>',
beneficiary_account_name: '<string>',
narration: '<string>'
})
};
fetch('https://{host}/v1/transfers/interbank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/v1/transfers/interbank"
payload = {
"account_number": "<string>",
"amount_minor": 2500000,
"beneficiary_bank_code": "<string>",
"beneficiary_account_number": "<string>",
"beneficiary_account_name": "<string>",
"narration": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": {
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"fee_minor": 123,
"vat_minor": 123,
"net_debited_minor": 123,
"currency": "NGN"
},
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": {
"fields": {}
},
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": null,
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": null,
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": null,
"code": "13"
}Transfers
Make an interbank transfer
From the business’s own wallet to an account at another bank, over NIP. Accepted at once (the amount, the charge and its VAT leave the wallet now); follow it with GET /v1/transfers/interbank/{transactionId}.
Required permission: transfers:write, feature:TRANSFERS_INTERBANK
POST
/
v1
/
transfers
/
interbank
Make an interbank transfer
curl --request POST \
--url https://{host}/v1/transfers/interbank \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"account_number": "<string>",
"amount_minor": 2500000,
"beneficiary_bank_code": "<string>",
"beneficiary_account_number": "<string>",
"beneficiary_account_name": "<string>",
"narration": "<string>"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_number: '<string>',
amount_minor: 2500000,
beneficiary_bank_code: '<string>',
beneficiary_account_number: '<string>',
beneficiary_account_name: '<string>',
narration: '<string>'
})
};
fetch('https://{host}/v1/transfers/interbank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/v1/transfers/interbank"
payload = {
"account_number": "<string>",
"amount_minor": 2500000,
"beneficiary_bank_code": "<string>",
"beneficiary_account_number": "<string>",
"beneficiary_account_name": "<string>",
"narration": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": {
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"fee_minor": 123,
"vat_minor": 123,
"net_debited_minor": 123,
"currency": "NGN"
},
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": {
"fields": {}
},
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": null,
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": null,
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": null,
"code": "13"
}Authorizations
Headers
Body
application/json